import { WebComponentProps } from '@lit/react';
import { WyComponent as WyComponentWC } from '@weavy/uikit-web';
import * as events from "./events";
export declare const WyComponent: import('@lit/react').ReactWebComponent<WyComponentWC, {
    onWyAction: import('@lit/react').EventName<events.WyActionEventType>;
    onWyApp: import('@lit/react').EventName<events.WyActionEventType>;
    onWyLink: import('@lit/react').EventName<events.WyLinkEventType>;
    onWyMessage: import('@lit/react').EventName<events.WyMessageEventType>;
    onWyNotification: import('@lit/react').EventName<events.WyNotificationEventType>;
    onWyPreviewOpen: import('@lit/react').EventName<events.WyPreviewOpenEventType>;
    onWyPreviewClose: import('@lit/react').EventName<events.WyPreviewCloseEventType>;
    onWyUnread: import('@lit/react').EventName<events.WyUnreadEventType>;
}>;
declare module "react" {
    namespace JSX {
        interface IntrinsicElements {
            "wy-component": WebComponentProps<WyComponentWC>;
        }
    }
}
